Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransactionSmartBMP

    java.lang.Object
      com.beasys.commerce.ebusiness.payment.PaymentTransactionSmartBMP

All Implemented Interfaces
  SmartBMP

Deprecated

    @Deprecated
    public class PaymentTransactionSmartBMP

extends Object
implements SmartBMP

Implementation of SmartBMP interface for bean PaymentTransaction. You can use this as an example to write your own bean-managed persistence.

Constructor Summary
`PaymentTransactionSmartBMP()` Deprecated

Method Summary
`void` | `create(SmartKey smartKey, EntityImpl entityImpl)` Deprecated Implements BMP functionality of ejbCreate() method.
`boolean` | `exists(SmartKey smartKey, EntityImpl entityImpl)` Deprecated Indicates if a bean with the specified primary key exists in the persistent store.
`Enumeration` | `findAll(EntityImpl entityImpl)` Deprecated Implements BMP functionality of ejbFindAll() method.
`Collection` | `findByStatus(EntityImpl entityImpl, String status)` Deprecated
`void` | `refresh(SmartKey smartKey, EntityImpl entityImpl)` Deprecated Implements BMP functionality of ejbLoad() method.
`void` | `remove(SmartKey smartKey, EntityImpl entityImpl)` Deprecated Implements BMP functionality of ejbRemove() method.
`void` | `update(SmartKey smartKey, EntityImpl entityImpl)` Deprecated Implements BMP functionality of ejbStore() and ejbPostCreate() methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentTransactionSmartBMP

    public PaymentTransactionSmartBMP()

  Deprecated

Method Detail

### findAll

    public Enumeration findAll(EntityImpl entityImpl)
                        throws BMPException

  Deprecated
  Description copied from interface: `SmartBMP`
  Implements BMP functionality of ejbFindAll() method.

  Specified by:
    `findAll` in interface `SmartBMP`
  Returns
    an enumeration of all instances of a type of bean.
  Throws
    `BMPException` - wrapper for provider exception

### create

    public void create(SmartKey smartKey,
                       EntityImpl entityImpl)
                throws BMPException

  Deprecated
  Implements BMP functionality of ejbCreate() method. Initialize the representation of the entity bean in persistent store using the smartKey as primary key. Attributes of the entity bean in persistent store should be set to the implementation's equivalent of default or null values. The entity is invalid at this point. The metadata may be useful to the implementation.

  Specified by:
    `create` in interface `SmartBMP`
  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ ONLY, invalid, uninitialized instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### refresh

    public void refresh(SmartKey smartKey,
                        EntityImpl entityImpl)
                 throws BMPException

  Deprecated
  Implements BMP functionality of ejbLoad() method. Copies attributes from persistent store to the entity bean using the smartKey as primary key.

  Specified by:
    `refresh` in interface `SmartBMP`
  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ/WRITE instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### update

    public void update(SmartKey smartKey,
                       EntityImpl entityImpl)
                throws BMPException

  Deprecated
  Implements BMP functionality of ejbStore() and ejbPostCreate() methods. Copies attributes of entity bean to persistent store using the smartKey as primary key.

  Specified by:
    `update` in interface `SmartBMP`
  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ ONLY instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### remove

    public void remove(SmartKey smartKey,
                       EntityImpl entityImpl)
                throws BMPException

  Deprecated
  Implements BMP functionality of ejbRemove() method. Remove the entity bean from persistent store using the smartKey as primary key.

  Specified by:
    `remove` in interface `SmartBMP`
  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - instance of the entity bean.
  Throws
    `BMPException` - wrapper for provider exception

### exists

    public boolean exists(SmartKey smartKey,
                          EntityImpl entityImpl)
                   throws BMPException

  Deprecated
  Indicates if a bean with the specified primary key exists in the persistent store.

  Specified by:
    `exists` in interface `SmartBMP`
  Parameters
    `smartKey` - the primary key of the bean
    `entityImpl` - READ ONLY instance of the entity bean.
  Returns
    true if a bean with the specified primary key exists
  Throws
    `BMPException` - wrapper for provider exception

### findByStatus

    public Collection findByStatus(EntityImpl entityImpl,
                                   String status)
                            throws BMPException

  Deprecated
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.